This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 169604 - Review Request: dclib - Direct Connect file sharing library
Review Request: dclib - Direct Connect file sharing library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://dcgui.berlios.de
:
Depends On:
Blocks: FE-ACCEPT 169605
  Show dependency treegraph
 
Reported: 2005-09-30 02:43 EDT by Luke Macken
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-03 12:02:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2005-09-30 02:43:09 EDT
Spec Name or Url: http://people.redhat.com/lmacken/dclib.spec
SRPM Name or Url: http://people.redhat.com/lmacken/dclib-0.3.7-1.src.rpm
Description: This library implements the Direct Connect file sharing protocol.
Comment 1 Brian Pepple 2005-09-30 09:21:22 EDT
This is already a part of the Livna repository.  I can't remember what the
rationale was for not adding it to Extras, but I'll see if I can Google an
answer for that later today.
Comment 2 Aurelien Bompard 2005-10-02 17:08:29 EDT
Needs work:
* The package should contain the text of the license, in the COPYING and 
  COPYING.OpenSSL files  (wiki: PackageReviewGuidelines)
* Each %files section should have a %defattr line (for -devel package)
  (wiki: PackageReviewGuidelines)
* Requires for -devel is wrong, it should be : %{name} = %{version}
* Please include the usual documentation files (README, AUTHORS, ChangeLog, NEWS,
  TODO)

I'd like to know if P2P software is OK for Fedora. Can somebody contact the
legal dpt ?
Comment 3 Luke Macken 2005-10-02 18:15:49 EDT
Wow, stupid mistakes.. I blame lack of sleep :(

These should be fixed. (made Requires: %{name} = %{version}-%{release} to remain
consistent with previous packages (if this is wrong, then I can change it))

http://people.redhat.com/lmacken/dclib-0.3.7-2.src.rpm
http://people.redhat.com/lmacken/dclib.spec
Comment 4 Aurelien Bompard 2005-10-03 10:26:49 EDT
Looks like P2P software is OK:
https://www.redhat.com/archives/fedora-extras-list/2005-September/msg01573.html

Review for release 2:
* RPM name is OK
* Source dclib-0.3.7.tar.gz is the same as upstream
* Builds fine in mock
* rpmlint of dclib looks OK
* rpmlint of dclib-devel looks OK
* File list of dclib looks OK
* File list of dclib-devel looks OK
* Works fine (tested with valknut)
Comment 5 Luke Macken 2005-10-03 12:02:57 EDT
Imported into CVS, updated owners.list file, requested FC-3 and FC-4 CVS
branches, and built for devel.  Thanks!
Comment 6 Ville Skyttä 2005-10-03 14:53:18 EDT
dclib-devel should probably have "Requires: libxml2-devel", 
see /usr/include/dclib/cconfig.h 
Comment 7 Luke Macken 2005-10-03 15:12:44 EDT
(In reply to comment #6)
> dclib-devel should probably have "Requires: libxml2-devel", 
> see /usr/include/dclib/cconfig.h 

fixed, thanks.
Comment 8 Ville Skyttä 2005-10-03 15:17:14 EDT
(In reply to comment #7) 
> fixed, thanks. 
 
Not quite, it should be in dclib-devel, not dclib... 
Comment 9 Luke Macken 2005-10-03 15:25:53 EDT
Oops, my bad.  Fixed.

Note You need to log in before you can comment on or make changes to this bug.